package org.xbib.logging.log4j;

import org.apache.logging.log4j.spi.Provider;
import org.apache.logging.log4j.spi.ThreadContextMap;

public class XbibProvider extends Provider {

    public XbibProvider() {
        super(500, "2.6.0", XbibLoggerContextFactory.class);
    }

    @Override
    public String getThreadContextMap() {
        return ThreadContextMDCMap.class.getName();
    }

    @Override
    public Class<? extends ThreadContextMap> loadThreadContextMap() {
        return ThreadContextMDCMap.class;
    }
}
